Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PortletDescriptionResponse

    java.lang.Object
      org.jboss.portal.wsrp.core.PortletDescriptionResponse

All Implemented Interfaces:
  java.io.Serializable

    public class PortletDescriptionResponse

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected PortletDescription` | `portletDescription`
`protected ResourceList` | `resourceList`

Constructor Summary
`PortletDescriptionResponse()`
`PortletDescriptionResponse(PortletDescription portletDescription, ResourceList resourceList, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`PortletDescription` | `getPortletDescription()`
`ResourceList` | `getResourceList()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setPortletDescription(PortletDescription portletDescription)`
`void` | `setResourceList(ResourceList resourceList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletDescription

    protected PortletDescription portletDescription

### resourceList

    protected ResourceList resourceList

### extensions

    protected Extension[] extensions

Constructor Detail

### PortletDescriptionResponse

    public PortletDescriptionResponse()

### PortletDescriptionResponse

    public PortletDescriptionResponse(PortletDescription portletDescription,
                                      ResourceList resourceList,
                                      Extension[] extensions)

Method Detail

### getPortletDescription

    public PortletDescription getPortletDescription()

### setPortletDescription

    public void setPortletDescription(PortletDescription portletDescription)

### getResourceList

    public ResourceList getResourceList()

### setResourceList

    public void setResourceList(ResourceList resourceList)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD